commit:     09eca4dae296745fab5ee697a9b5eadde140b313
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 23 07:30:21 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Sep 23 12:52:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09eca4da

dev-util/librnp: add 0.16.2

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/librnp/Manifest             |  1 +
 dev-util/librnp/librnp-0.16.2.ebuild | 74 ++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-util/librnp/Manifest b/dev-util/librnp/Manifest
index 5135295e9ab1..74a89613e403 100644
--- a/dev-util/librnp/Manifest
+++ b/dev-util/librnp/Manifest
@@ -1 +1,2 @@
 DIST librnp-0.16.1.tar.gz 2897069 BLAKE2B 
0ce261a5f1229ab1567d4726b8d75eaf3fa72774ef66280bd587f28282371cde9691de24de329f8209f99c76dc6cf01e7c711e1bd3fd47b8b145762936a1b655
 SHA512 
948d8c1342c34ec850605b79b490d6da3094b4fb1f8435f4c928473c15a0df364f2ad56091f4b746afc98119d85137cf7b341c72054ccac79ab236f13cca48f4
+DIST librnp-0.16.2.tar.gz 2897137 BLAKE2B 
5f756047506531e0ed3d431cebd3977f3492b464445f6dc54850badc795478f5d04ff036147e8212b4a3e2d4fd939f4bcf668e9a260c2e7fc616ef51dea02117
 SHA512 
5fd5fceb39429e130adafd4869d9a01149d9c08271770da4eedbe75910788f8256c8bf19e6bb0886a902b22dd5564eb93baddaf84689cbf5e6617674f4f0efac

diff --git a/dev-util/librnp/librnp-0.16.2.ebuild 
b/dev-util/librnp/librnp-0.16.2.ebuild
new file mode 100644
index 000000000000..71779ee7a592
--- /dev/null
+++ b/dev-util/librnp/librnp-0.16.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="High performance C++ OpenPGP library"
+HOMEPAGE="https://www.rnpgp.org/ https://github.com/rnpgp/rnp";
+SRC_URI="https://github.com/rnpgp/rnp/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2"
+SLOT="0/0.16.1"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="+botan man test"
+
+RDEPEND="app-arch/bzip2
+       dev-libs/json-c:=
+       sys-libs/zlib
+       botan? ( dev-libs/botan:2= )
+       !botan? ( >=dev-libs/openssl-1.1.1:= )"
+DEPEND="${RDEPEND}
+       test? ( dev-cpp/gtest )"
+BDEPEND="man? ( dev-ruby/asciidoctor )"
+
+RESTRICT="!test? ( test )"
+S="${WORKDIR}/${P/*lib/}"
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test on off)
+
+               -DCRYPTO_BACKEND=$(usex botan botan openssl)
+
+               -DDOWNLOAD_GTEST=off
+               -DDOWNLOAD_RUBYRNP=off
+
+               -DENABLE_COVERAGE=off
+               -DENABLE_DOC=$(usex man on off)
+               -DENABLE_FUZZERS=off
+               -DENABLE_SANITIZERS=off
+       )
+
+       if use botan; then
+               local mycmakeargs+=(
+                       -DENABLE_AEAD=on
+                       -DENABLE_BRAINPOOL=on
+                       -DENABLE_IDEA=on
+                       -DENABLE_SM2=on
+                       -DENABLE_TWOFISH=on
+               )
+
+       # OpenSSL support is still not as complete as botan.
+       # https://github.com/rnpgp/rnp/issues/1642 AEAD,
+       # https://github.com/rnpgp/rnp/issues/1902 BRAINPOOL,
+       # https://github.com/rnpgp/rnp/issues/1877 SM2,
+       # https://github.com/openssl/openssl/issues/2046 TWOFISH.
+       else
+               local mycmakeargs+=(
+                       -DENABLE_AEAD=off
+                       -DENABLE_BRAINPOOL=on
+                       -DENABLE_IDEA=on
+                       -DENABLE_SM2=off
+                       -DENABLE_TWOFISH=off
+               )
+       fi
+
+       cmake_src_configure
+}
+
+src_test() {
+       cd "${BUILD_DIR}" || die
+       ctest -j"${MAKEOPTS}" -R .* --output-on-failure || die
+}

Reply via email to